Subject: Re: [bitcoindev] Proposal for Quantum-Resistant Address Migration Protocol (QRAMP) BIP

From: Agustin Cruz <[email-masked]>
Date: Tue, 11 Feb 2025 21:37:37 -0300

Hi Dustin

To clarify, the intent behind making legacy funds unspendable after a
certain block height is indeed a hard security measure—designed to mitigate
the potentially catastrophic risk posed by quantum attacks on ECDSA. The
idea is to force a proactive migration of funds to quantum-resistant
addresses before quantum computers become capable of compromising the
current cryptography.

The migration window is intended to be sufficiently long (determined by
both block height and community input) to provide ample time for users and
service providers to transition.

El mar, 11 de feb de 2025, 9:15 p. m., Dustin Ray <
[email-masked]> escribió:

> Right off the bat I notice you are proposing that legacy funds become
> unspendable after a certain block height which immediately raises serious
> problems. A migration to quantum hard addresses in this manner would cause
> serious financial damage to anyone holding legacy funds, if I understand
> your proposal correctly.
>
> On Tue, Feb 11, 2025 at 4:10 PM Agustin Cruz <[email-masked]>
> wrote:
>
>> Dear Bitcoin Developers,
>>
>> I am writing to share my proposal for a new Bitcoin Improvement Proposal
>> (BIP) titled *Quantum-Resistant Address Migration Protocol (QRAMP)*. The
>> goal of this proposal is to safeguard Bitcoin against potential future
>> quantum attacks by enforcing a mandatory migration period for funds held in
>> legacy Bitcoin addresses (secured by ECDSA) to quantum-resistant addresses.
>>
>> The proposal outlines:
>>
>>    - *Reducing Vulnerabilities:* Transitioning funds to
>>    quantum-resistant schemes preemptively to eliminate the risk posed by
>>    quantum attacks on exposed public keys.
>>    - *Enforcing Timelines:* A hard migration deadline that forces timely
>>    action, rather than relying on a gradual, voluntary migration that might
>>    leave many users at risk.
>>    - *Balancing Risks:* Weighing the non-trivial risk of funds being
>>    permanently locked against the potential catastrophic impact of a quantum
>>    attack on Bitcoin’s security.
>>
>> Additionally, the proposal addresses common criticisms such as the risk
>> of permanent fund loss, uncertain quantum timelines, and the potential for
>> chain splits. It also details backwards compatibility measures,
>> comprehensive security considerations, an extensive suite of test cases,
>> and a reference implementation plan that includes script interpreter
>> changes, wallet software updates, and network monitoring tools.
>>
>> For your convenience, I have published the full proposal on my GitHub
>> repository. You can review it at the following link:
>>
>> Quantum-Resistant Address Migration Protocol (QRAMP) Proposal on GitHub
>> <https://github.com/chucrut/bips/blob/master/bip-xxxxx.md>
>>
>> I welcome your feedback and suggestions and look forward to engaging in a
>> constructive discussion on how best to enhance the security and resilience
>> of the Bitcoin network in the quantum computing era.
>>
>> Thank you for your time and consideration.
>>
>> Best regards,
>>
>> Agustin Cruz
>>
>> --
>> You received this message because you are subscribed to the Google Groups
>> "Bitcoin Development Mailing List" group.
>> To unsubscribe from this group and stop receiving emails from it, send an
>> email to [email-masked].
>> To view this discussion visit
>> https://groups.google.com/d/msgid/bitcoindev/08a544fa-a29b-45c2-8303-8c5bde8598e7n%40googlegroups.com
>> <https://groups.google.com/d/msgid/bitcoindev/08a544fa-a29b-45c2-8303-8c5bde8598e7n%40googlegroups.com?utm_medium=email&utm_source=footer>
>> .
>>
>

-- 
You received this message because you are subscribed to the Google Groups "Bitcoin Development Mailing List" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [email-masked].
To view this discussion visit https://groups.google.com/d/msgid/bitcoindev/CAJDmzYxJzFs%3DmyecyMS6iJwSni1sDwUVq3kMnNGg%3DdK5kULRJg%40mail.gmail.com.